package com.cim.idm.wmspackage.storage.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;
import lombok.Data;

public class Storage extends FieldAccessor implements DataInfo<StorageKey> {

	private StorageKey key;
	
	private String resourceState; //A resource state. [ InService | OutOfService ]
	private String useState; //A use state. [ Empty | Full ]
	private String storageHoldState; //A storage hold state. [ NotOnHold | OnHold ]
	private String packingGroupName; //A packing group name.


	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	private String reasonCodeType;
	private String reasonCode;
	private String packingName;

	public String getPackingName() {
		return packingName;
	}

	public void setPackingName(String packingName) {
		this.packingName = packingName;
	}
	/*@UserColumnMark
	private String userColumn1;
	@UserColumnMark
	private String userColumn2;*/
	
	@Override
	public StorageKey getKey() {
		return key;
	}

	@Override
	public void setKey(StorageKey keyInfo) {
		this.key = keyInfo;
	}

	public String getResourceState() {
		return resourceState;
	}

	public void setResourceState(String resourceState) {
		this.resourceState = resourceState;
	}

	public String getUseState() {
		return useState;
	}

	public void setUseState(String useState) {
		this.useState = useState;
	}

	public String getStorageHoldState() {
		return storageHoldState;
	}

	public void setStorageHoldState(String storageHoldState) {
		this.storageHoldState = storageHoldState;
	}

	public String getPackingGroupName() {
		return packingGroupName;
	}

	public void setPackingGroupName(String packingGroupName) {
		this.packingGroupName = packingGroupName;
	}

	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}

	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}

	public String getReasonCodeType() {
		return reasonCodeType;
	}

	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

	
}
